import request from '@/utils/request'


// 查询挂锁-列表
export function listPadLockAPI(query) {
  return request({
    url: '/iscs/lock/getIsLockPage',
    method: 'get',
    params: query
  })
}

// 获取挂锁详细信息
export function getPadLockInfoAPI(repairId) {
  return request({
    url: '/iscs/lock/selectIsLockById?lockId=' + repairId,
    method: 'get'
  })
}

//新增挂锁
export function addPadLockAPI(query) {
  return request({
    url: '/iscs/lock/insertIsLock',
    method: 'post',
    data: query
  })
}

// 修改挂锁信息
export function updatePadLockAPI(data) {
  return request({
    url: '/iscs/lock/updateIsLock',
    method: 'post',
    data: data
  })
}

// 删除挂锁信息
export function delPadLockAPI(repairId) {
  return request({
    url: '/iscs/lock/deleteIsLockByLockIds?lockIds='+ repairId,
    method: 'post'

  })
}
